Macro Funzione 2D

From FreeCAD Documentation
Revision as of 06:45, 27 June 2016 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

File:Text-x-python Draw 2D Function

Description
Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane)

Author: unknown
Author
unknown
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Si usa per disegnare una funzione descritta da una equazione [z=F(x)] (piano ZX). Questo esempio genera una parabola.

Elementi da definire:

F=variable utilizzata nella funzione,

X=Valore iniziale di x,

Nb= Numero di passi,

Z=Funzione espressa con x

ZZ=Funzione espressa con xx


# F = variable used in the function,
# X = initial value of x,
# Nb = Number of step,
# Z = function express with x
# ZZ = function express with xx

import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print "Le test est vrai !"
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print "Le test est 2 !"
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
Part.show(WWire)